Package org.apache.solr.client.solrj.response

# Class SolrResponseBase

java.lang.Object
org.apache.solr.client.solrj.SolrResponse
org.apache.solr.client.solrj.response.SolrResponseBase

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Direct Known Subclasses:
  `AnalysisResponseBase`, `CollectionAdminResponse`, `ConfigSetAdminResponse`, `CoreAdminResponse`, `DelegationTokenResponse`, `HealthCheckResponse`, `LukeResponse`, `QueryResponse`, `SchemaResponse`, `SchemaResponse.CopyFieldsResponse`, `SchemaResponse.DynamicFieldResponse`, `SchemaResponse.DynamicFieldsResponse`, `SchemaResponse.FieldResponse`, `SchemaResponse.FieldsResponse`, `SchemaResponse.FieldTypeResponse`, `SchemaResponse.FieldTypesResponse`, `SchemaResponse.GlobalSimilarityResponse`, `SchemaResponse.SchemaNameResponse`, `SchemaResponse.SchemaVersionResponse`, `SchemaResponse.UniqueKeyResponse`, `SchemaResponse.UpdateResponse`, `SolrPingResponse`, `UpdateResponse`, `V2Response`

public class SolrResponseBase extends SolrResponse implements MapWriter

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`SolrResponseBase()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getElapsedTime()`
Elapsed time in milliseconds for the request as seen from the client.
`int`
`getQTime()`
`String`
`getRequestUrl()`
`NamedList<Object>`
`getResponse()`
`NamedList<?>`
`getResponseHeader()`
Return a `NamedList` object representing the 'responseHeader' section of Solr's response
`int`
`getStatus()`
`void`
`setElapsedTime(long elapsedTime)`
`void`
`setRequestUrl(String requestUrl)`
`void`
`setResponse(NamedList<Object> response)`
`String`
`toString()`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### SolrResponseBase

public SolrResponseBase()

## Method Details

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Overrides:
  `writeMap` in class `SolrResponse`
Throws:
  `IOException`

### getElapsedTime

public long getElapsedTime()
Description copied from class: `SolrResponse`
Elapsed time in milliseconds for the request as seen from the client.

Specified by:
  `getElapsedTime` in class `SolrResponse`

### setElapsedTime

public void setElapsedTime(long elapsedTime)

Specified by:
  `setElapsedTime` in class `SolrResponse`

### getResponse

public NamedList<Object> getResponse()

Specified by:
  `getResponse` in class `SolrResponse`

### setResponse

public void setResponse(NamedList<Object> response)

Specified by:
  `setResponse` in class `SolrResponse`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getResponseHeader

public NamedList<?> getResponseHeader()
Return a `NamedList` object representing the 'responseHeader' section of Solr's response

This method may return null, if no responseHeader can be found. If a value is returned, it should not be modified. Any modifications made are not guaranteed to be durable.

### getStatus

public int getStatus()

### getQTime

public int getQTime()

### getRequestUrl

public String getRequestUrl()

### setRequestUrl

public void setRequestUrl(String requestUrl)